<?php

namespace Modules\Common\Services\Qiniu;

use Qiniu\Auth;

class QiniuTokenService
{
    /**
     * 获取私有资源的公开访问链接
     * ----说明-----
     * 如果将一个资源,例如一张图片存在七牛云的私有空间中,是没有办法直接通过公网访问的.
     * 将一个域名绑定到这个私有空间后,那么空间中的资源便有了对应的私有资源链接,但此时还是需要通过生成token
     * 追加到私有资源链接后面的形式才可以对私有资源进行有限制时间的访问
     * @param $url 私有资源链接
     * @param int $expires 公开访问链接有效时间
     * @return string 公开访问链接
     */
    public static function getPrivateSourceDownloadUrl($url, $expires = 3600) {
        $qiniuConfig = config('common.qiniu');
        $auth = new Auth($qiniuConfig['accessKey'], $qiniuConfig['secretKey']);
        $url = $auth->privateDownloadUrl($url, $expires);
        return $url;
    }
}
